Subject: Re: bug#18760: 24.4; Encoding problem in about-emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Oct 2014 15:57:22 +0300

> Date: Sat, 18 Oct 2014 14:36:50 +0200
> From: Lars Ljung <[email-masked]>
> CC: [email-masked]
> 
> Den 2014-10-18 14:24, Eli Zaretskii skrev:
> >> Date: Sat, 18 Oct 2014 13:24:54 +0200
> >> From: Lars Ljung <[email-masked]>
> >> CC: [email-masked]
> >>
> >> I looked at it a bit and my guess is that the encoding is not
> >> properly detected when extracting the title using (with-temp-buffer
> >> (insert-file-contents ... when defining fancy-startup-text.
> > 
> > But how can this happen, when the tutorial states that it's encoded in
> > UTF-8?
> > 
> > I just typed that form manually in a locale that also defaults to
> > Latin-1, and I see no problem at all.
> > 
> 
> Perhaps since the encoding is specified at the end of the file but only
> the first 256 bytes are read when extracting the title?

Where do you see that we only read the first 256 bytes?

Oh, you mean fancy-about-text?  I thought you were talking about
fancy-startup-text, where we read the entire file.

Yes, you are right, that's the bug.  Thanks.